[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# FindClass

Returns the class pointer of a class with given name.

## Declaration

Source position: classesh.inc line 2225

`function FindClass(`
`const AClassName: string`
`):TPersistentClass;`

## Description

FindClass searches for the class named ClassName in the list of registered classes and returns a class pointer to the definition. If no class with the given name could be found, an exception is raised.

The GetClass function does not raise an exception when it does not find the class, but returns a Nil pointer instead.

## See also

RegisterClass |  | Registers a class with the streaming system.
GetClass |  | Returns the class pointer of a class with given name.